# ElfSection Struct Reference

`#include <tools/elftypes.h>`

Collaboration diagram for ElfSection:

[legend]

## Data Fields

u32 | iName
u32 | iType
u32 | iFlags
u32 | iAddr
u32 | iOffset
u32 | iSize
u32 | iLink
u32 | iInfo
u32 | iAddralign
u32 | iEntsize
u8 * | pData
char | szName [ELF_SECT_MAX_NAME]
int | iIndex
ElfSection * | pRef
int | blOutput

## Field Documentation

int ElfSection::blOutput

u32 ElfSection::iAddr

u32 ElfSection::iAddralign

u32 ElfSection::iEntsize

u32 ElfSection::iFlags

int ElfSection::iIndex

u32 ElfSection::iInfo

u32 ElfSection::iLink

u32 ElfSection::iName

u32 ElfSection::iOffset

u32 ElfSection::iSize

u32 ElfSection::iType

u8* ElfSection::pData

struct ElfSection* ElfSection::pRef

char ElfSection::szName[ELF_SECT_MAX_NAME]

The documentation for this struct was generated from the following file:

- tools/elftypes.h